"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = _interopRequireDefault(require("../Text"));

var _Icon = _interopRequireDefault(require("../Icon"));

var _getTextTheme = _interopRequireDefault(require("../../helpers/getTextTheme"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function IconItem(_ref) {
  var icon = _ref.icon,
      title = _ref.title,
      subtitle = _ref.subtitle,
      description = _ref.description,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    "data-component": "IconItem",
    className: theme.root
  }, _react.default.createElement("div", {
    className: theme.iconWrapper
  }, _react.default.createElement(_Icon.default, {
    icon: icon,
    className: theme.icon
  })), _react.default.createElement("div", {
    className: theme.contentWrapper
  }, title && _react.default.createElement(_Text.default, {
    field: "title",
    theme: (0, _getTextTheme.default)({
      theme: theme,
      field: 'title'
    })
  }, title), subtitle && _react.default.createElement(_Text.default, {
    field: "subtitle",
    theme: (0, _getTextTheme.default)({
      theme: theme,
      field: 'subtitle'
    })
  }, subtitle), description && _react.default.createElement(_Text.default, {
    field: "description",
    theme: (0, _getTextTheme.default)({
      theme: theme,
      field: 'description'
    })
  }, description)));
}

var _default = IconItem;
exports.default = _default;