"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Image = Image;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactSizeme = _interopRequireDefault(require("react-sizeme"));

var _reactProgressiveImage = _interopRequireDefault(require("react-progressive-image"));

var _getImageLink = _interopRequireDefault(require("../../helpers/getImageLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Image(_ref) {
  var image = _ref.image,
      alt = _ref.alt,
      className = _ref.className,
      size = _ref.size,
      autoScale = _ref.autoScale,
      steps = _ref.steps,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      props = _objectWithoutProperties(_ref, ["image", "alt", "className", "size", "autoScale", "steps", "theme"]);

  var source = (0, _getImageLink.default)(_extends({}, image, {
    boxSize: size,
    autoScale: autoScale
  }));

  if (typeof source === 'string') {
    return _react.default.createElement("img", _extends({}, props, {
      src: source,
      className: (0, _classnames.default)(className, theme.root),
      alt: alt
    }));
  }

  var thumbnail = source.thumbnail,
      large = source.large;
  return _react.default.createElement(_reactProgressiveImage.default, {
    src: large,
    placeholder: thumbnail
  }, function (imageSource) {
    return _react.default.createElement("img", _extends({}, props, {
      className: (0, _classnames.default)(className, theme.root),
      src: imageSource,
      alt: alt
    }));
  });
}

var _default = (0, _reactSizeme.default)({
  refreshMode: 'debounce',
  refreshRate: 16,
  monitorHeight: true,
  monitorWidth: true,
  enableSSRBehaviour: true
})(Image);

exports.default = _default;