"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = _interopRequireDefault(require("../Text"));

var _IconItemList = _interopRequireDefault(require("../IconItemList"));

var _KeyValueList = _interopRequireDefault(require("../KeyValueList"));

var _Actions = _interopRequireDefault(require("../Actions"));

var _getTextTheme = _interopRequireDefault(require("../../helpers/getTextTheme"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function InfoItem(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle,
      description = _ref.description,
      iconItems = _ref.iconItems,
      keyValueItems = _ref.keyValueItems,
      actions = _ref.actions,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    "data-component": "InfoItem",
    className: theme.root
  }, _react.default.createElement("div", {
    className: theme.contentWrapper
  }, title && _react.default.createElement(_Text.default, {
    field: "title",
    theme: (0, _getTextTheme.default)({
      theme: theme,
      field: 'title'
    })
  }, title), subtitle && _react.default.createElement(_Text.default, {
    field: "subtitle",
    theme: (0, _getTextTheme.default)({
      theme: theme,
      field: 'subtitle'
    })
  }, subtitle), description && _react.default.createElement(_Text.default, {
    field: "description",
    theme: (0, _getTextTheme.default)({
      theme: theme,
      field: 'description'
    })
  }, description)), iconItems && iconItems.length > 0 && _react.default.createElement(_IconItemList.default, {
    items: iconItems,
    theme: theme.iconItemList
  }), keyValueItems && keyValueItems.length > 0 && _react.default.createElement(_KeyValueList.default, {
    items: keyValueItems,
    theme: theme.keyValueList
  }), actions && actions.length > 0 && _react.default.createElement(_Actions.default, {
    items: actions,
    theme: theme.actions
  }));
}

var _default = InfoItem;
exports.default = _default;