// @flow

import React from 'react'
import Action from 'components/Action'
import mergeTheme from 'helpers/mergeTheme'

function Actions({ items, theme = {} }: TActions) {
  return (
    <div data-component="Actions" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <Action
            {...item}
            theme={mergeTheme(theme.item || {}, item.theme || {})}
          />
        </div>
      ))}
    </div>
  )
}

export default Actions
