// @flow

import React from 'react'
import { reduxForm } from 'redux-form'

type Props = {
  name: string,
  tag: string,
  className?: string,
  children: any,
}

class Form extends React.PureComponent<Props, *> {
  static defaultProps = {
    tag: 'div',
  }

  Wrapper = () => {
    const { tag: Component, children, ...props } = this.props
    return (
      <Component {...props} data-component="Form">
        {children}
      </Component>
    )
  }

  ReduxForm = reduxForm({
    form: this.props.name,
  })(this.Wrapper)

  render() {
    const { ReduxForm } = this
    return <ReduxForm>{this.props.children}</ReduxForm>
  }
}

export default Form
