// @flow

import React from 'react'
import { reduxForm } from 'redux-form'

type Props = {
  form: string,
  tag: string,
  className?: string,
  children: any,
}

class SubmitButton extends React.PureComponent<Props, *> {
  static defaultProps = {
    tag: 'a',
  }

  Button = ({ handleSubmit }: { handleSubmit: Function }) => {
    const { tag: Component, children, className } = this.props
    return (
      <Component className={className} onClick={handleSubmit}>
        {children}
      </Component>
    )
  }

  ReduxSubmitButton = reduxForm({
    form: this.props.form,
  })(this.Button)

  render() {
    const { ReduxSubmitButton } = this
    return (
      // TODO: Implement me
      <ReduxSubmitButton onSubmit={console.log}>
        {this.props.children}
      </ReduxSubmitButton>
    )
  }
}

export default SubmitButton
