// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import ReduxProvider from 'devHelpers/ReduxProvider'
import Form from './Form'
import Input from './Input'
import Select from './Select'
import SubmitButton from './SubmitButton'

const options = [
  { value: 'male', label: 'Male' },
  { value: 'female', label: 'Female' },
]

storiesOf('Form', module).add('default', () => (
  <ReduxProvider>
    <Form name="loginForm">
      <Input name="username" icon="fa-user" label="Username" />
      <Input name="password" icon="fa-key" label="Password" type="password" />
      <Select name="gender" options={options} label="Gender" />
      <SubmitButton form="loginForm" className="pointer pa2 bg-gray white dib">
        Submit Now
      </SubmitButton>
    </Form>
  </ReduxProvider>
))
