// @flow

import React from 'react'
import IconItem from 'components/IconItem'
import mergeTheme from 'helpers/mergeTheme'

function IconItemList({ items, theme = {} }: TIconItemList) {
  return (
    <div data-component="IconItemList" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <IconItem
            {...item}
            theme={mergeTheme(theme.item || {}, item.theme || {})}
          />
        </div>
      ))}
    </div>
  )
}

export default IconItemList
