// @flow

import React from 'react'
import Wrapper from 'components/Wrapper'
import InfoItem from 'components/InfoItem'

function ImageItem({
  image,
  title,
  subtitle,
  description,
  iconItems,
  keyValueItems,
  actions,
  theme = {},
  ...props
}: TImageItem) {
  return (
    <div {...props} data-component="ImageItem" className={theme.root}>
      <div className={theme.imageWrapper}>
        <Wrapper className={theme.image} image={image} />
      </div>
      <div className={theme.infoItemWrapper}>
        <InfoItem
          title={title}
          subtitle={subtitle}
          description={description}
          iconItems={iconItems}
          keyValueItems={keyValueItems}
          actions={actions}
          theme={theme.infoItem}
        />
      </div>
    </div>
  )
}

export default ImageItem
