// @flow

import React from 'react'
import ImageItem from 'components/ImageItem'
import mergeTheme from 'helpers/mergeTheme'

function ImageItemList({ items, theme = {} }: TImageItemList) {
  return (
    <div data-component="ImageItemList" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <ImageItem
            {...item}
            theme={mergeTheme(theme.item || {}, item.theme || {})}
          />
        </div>
      ))}
    </div>
  )
}

export default ImageItemList
