// @flow

import React from 'react'
import { mount } from 'enzyme'
import InfoItem from '../index'
import data from '../data.json'

const element = mount(<InfoItem {...data} />)

describe('InfoItem', () => {
  it('have render', () => {
    expect(element.find('InfoItem').length).toEqual(1)
    expect(
      element
        .find('InfoItem')
        .children('div')
        .children('div')
        .children('Text').length,
    ).toEqual(3)
    expect(element.find('InfoItem IconItemList').length).toEqual(1)
    expect(element.find('InfoItem KeyValueList').length).toEqual(1)
    expect(element.find('InfoItem Actions').length).toEqual(1)
  })
  it('context fields render', () => {
    element
      .find('InfoItem')
      .children('div')
      .children('div')
      .children('Text')
      .forEach((textEl) => {
        const dataField = textEl.props().field
        expect(textEl.text()).toEqual(data[dataField])
      })
  })
})
