// @flow

import React from 'react'
import InfoItem from 'components/InfoItem'
import mergeTheme from 'helpers/mergeTheme'

function InfoItemList({ items, theme = {} }: TInfoItemList) {
  return (
    <div data-component="InfoItemList" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <InfoItem
            {...item}
            theme={mergeTheme(theme.item || {}, item.theme || {})}
          />
        </div>
      ))}
    </div>
  )
}

export default InfoItemList
