// @flow

import React from 'react'
import { mount } from 'enzyme'
import KeyValueItem from '../index'
import data from '../data.json'

const element = mount(<KeyValueItem {...data} />)

describe('KeyValueItem', () => {
  it('have render', () => {
    expect(element.find('KeyValueItem').length).toEqual(1)
    expect(element.find('KeyValueItem Icon').length).toEqual(1)
    expect(element.find('KeyValueItem Text').length).toEqual(2)
  })
  it('data render', () => {
    element.find('KeyValueItem Text').forEach((textEl) => {
      const dataField = textEl.props().field
      expect(textEl.text()).toEqual(data[dataField])
    })
  })
})
