// @flow

import React from 'react'
import Text from 'components/Text'
import Icon from 'components/Icon'
import getTextTheme from 'helpers/getTextTheme'

function KeyValueItem({ icon, label, value, theme = {} }: TKeyValueItem) {
  return (
    <div data-component="KeyValueItem" className={theme.root}>
      {label && (
        <Text field="label" theme={getTextTheme({ theme, field: 'label' })}>
          {icon && <Icon icon={icon} className={theme.icon} />}
          {label}
        </Text>
      )}
      {value && (
        <Text field="value" theme={getTextTheme({ theme, field: 'value' })}>
          {value}
        </Text>
      )}
    </div>
  )
}

export default KeyValueItem
