// @flow

import React from 'react'
import { mount } from 'enzyme'
import KeyValueList from '../index'
import data from '../data.json'

const element = mount(<KeyValueList {...data} />)

describe('KeyValueList', () => {
  it('have render', () => {
    expect(element.find('KeyValueList').length).toEqual(1)
    expect(element.find('KeyValueList KeyValueItem').length).toEqual(2)
  })
  it('data render', () => {
    element.find('KeyValueList KeyValueItem').forEach((itemEl, itemIdx) => {
      itemEl.find('Text').forEach((textEl) => {
        const dataField = textEl.props().field
        expect(textEl.text()).toEqual(data.items[itemIdx][dataField])
      })
    })
  })
})
