// @flow

import React from 'react'
import KeyValueItem from 'components/KeyValueItem'
import mergeTheme from 'helpers/mergeTheme'

function KeyValueList({ items, theme = {} }: TKeyValueList) {
  return (
    <div data-component="KeyValueList" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <KeyValueItem
            {...item}
            theme={mergeTheme(theme.item || {}, item.theme || {})}
          />
        </div>
      ))}
    </div>
  )
}

export default KeyValueList
