// @flow

import React from 'react'

type TText = {
  field?: string,
  children: any,
  theme?: TTheme,
}

function Text({ field, children, theme = {} }: TText) {
  return (
    <div data-component="Text" data-field={field} className={theme.root}>
      <span className={theme.content}>{children}</span>
    </div>
  )
}

export default Text
