// @flow

import React from 'react'
import Uppy from 'uppy/lib/core'
import Tus from 'uppy/lib/plugins/Tus'
import { Dashboard } from 'uppy/lib/react'

type FileUploadProps = {
  endpoint: string,
  onChange: Function,
}

class UploadDashboard extends React.Component<FileUploadProps, *> {
  uppy: *

  state = {
    files: [],
  }

  componentWillMount() {
    const { endpoint, onChange } = this.props
    this.uppy = new Uppy({ autoProceed: false }).use(Tus, { endpoint }).run()
    this.uppy.on('complete', (result) => {
      const files = [...this.state.files, ...result.successful]
      this.setState({
        files,
      }, () => onChange(this.state.files))
    })
  }

  componentWillUnmount() {
    this.uppy.close()
  }

  render() {
    return <Dashboard uppy={this.uppy} />
  }
}

export default UploadDashboard
