// @flow

import React from 'react'
import { mount } from 'enzyme'
import Wrapper from '../index'

describe('Wrapper', () => {
  it('not alt with size', () => {
    const wrapper = mount(
      <Wrapper
        theme={{
          root: 'w-100 h5 flex flex-column items-center justify-center cover',
        }}
        overlayColor="rgba(0, 0, 0, 0.5)"
        image={{ src: 'https://source.unsplash.com/user/erondu/1600x900' }}
        size={{
          height: 100,
          width: 200,
        }}
      >
        <span className="white f3">Use Image Source</span>
        <span className="white-80 f4">at Unsplash</span>
      </Wrapper>,
    )
    expect(wrapper.find('div').props().style.backgroundImage).toEqual(
      'linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(https://source.unsplash.com/user/erondu/1600x900)',
    )
  })
  it('use alt with size', () => {
    const wrapper = mount(
      <Wrapper
        theme={{
          root: 'w-100 h5 flex flex-column items-center justify-center cover',
        }}
        overlayColor="rgba(0, 0, 0, 0.5)"
        image={{ src: 'https://source.unsplash.com/user/erondu/1600x900' }}
        size={{
          height: 100,
          width: 200,
        }}
        alt="description image"
      >
        <span className="white f3">Use Image Source</span>
        <span className="white-80 f4">at Unsplash</span>
      </Wrapper>,
    )
    expect(wrapper.find('div').props().style.backgroundImage).toEqual(
      'linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(https://source.unsplash.com/user/erondu/1600x900)',
    )
    expect(wrapper.find('img').props().src).toEqual(
      'https://source.unsplash.com/user/erondu/1600x900',
    )
  })
})
