// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import Wrapper from './index'

const cloudinaryImage = {
  cloudinary: {
    username: 'lh-imagecloud',
    id: 'css-code_t7qmyu.jpg',
  },
}

storiesOf('Wrapper', module)
  .add('use image source', () => (
    <Wrapper
      className="w-100"
      image={{ src: 'https://source.unsplash.com/user/erondu/1600x900' }}
    >
      <div className="w-100 h5 flex items-center justify-center white f3">
        Hello World
      </div>
    </Wrapper>
  ))
  .add('use cloudinary image', () => (
    <Wrapper className="w-100" image={cloudinaryImage}>
      <div className="w-100 h5 flex items-center justify-center white f3">
        Hello World
      </div>
    </Wrapper>
  ))
  .add('use overlay', () => (
    <Wrapper className="w-100" overlayColor="rgba(0, 0, 0, 0.5)">
      <div className="w-100 h5 flex items-center justify-center white f3">
        Hello World
      </div>
    </Wrapper>
  ))
  .add('use image & overlay', () => (
    <Wrapper
      className="w-100"
      image={cloudinaryImage}
      overlayColor="rgba(0, 0, 0, 0.5)"
    >
      <div className="w-100 h5 flex items-center justify-center white f3">
        Hello World
      </div>
    </Wrapper>
  ))
