/* eslint-disable global-require */

import { createStore, applyMiddleware, compose } from 'redux'

const composeEnhancers =
  (typeof window !== 'undefined' &&
    window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__) ||
  compose

const configureStore = ({ reducer, initialState }) => {
  const store = createStore(
    reducer,
    initialState,
    composeEnhancers(applyMiddleware()),
  )

  if (module.hot) {
    // Enable Webpack hot module replacement for reducers
    module.hot.accept('./reducer', () => {
      const nextRootReducer = require('./reducer').default
      store.replaceReducer(nextRootReducer)
    })
  }

  return store
}

export default configureStore
