// @flow

import * as constants from './constants'

export default function reducer(
  state: any = {},
  { type, payload }: { type: string, payload?: any },
) {
  const handle = {
    [constants.UPDATE]: () => {
      const { form, field, value } = payload || {}
      return {
        ...state,
        [form]: {
          ...(state[form] || {}),
          [field]: value,
        },
      }
    },
  }[type]
  return (handle && handle()) || state
}
